#include "mungal4.h"
#pragma hdrstop

#include "l4host.h"

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Constructor for l4host
//
//WinSock support :RB 1/11/07
L4Host::L4Host(HostID host_ID, HostType host_type, const SOCKADDR_IN *network_address, SOCKET network_socket, const CString &net_name)
	: Host(host_ID, host_type, network_address), SymbolicName(net_name)
{
	NetworkSocket = network_socket;
	// ConnectStatus = NoNetworkConnectionStatus;
	pad_head = 0;
	pad_tail = 0;
	pad_size = L4HOST_PAD_BUFFER_SIZE;
	#if defined(TRACE_SEND_BUFFER)
		sprintf(sendBufferTraceName,"Send Buffer %d",network_address&0xff);
		sendBufferTrace = new TraceOf<int>(sendBufferTraceName, 0, Trace::IntegerType, TraceSample::IntegerSnapshot);
		Register_Object(sendBufferTrace);
		sendBufferTrace->TakeSnapshot(4096);
	#endif
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
// Destructor for l4host
//
L4Host::~L4Host()
{
}
